# file: $isip/class/pr/DecisionTreeBase/GNUmakefile
# version: $Id: GNUmakefile 8677 2002-09-05 20:52:08Z parihar $
#
# this make file builds the DecisionTreeBase class
# 

# define the source files
#
ISIP_FILES = *.cc

# define the header files that need to be installed
#
ISIP_HEADER_FILES = DecisionTreeBase.h

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = BiGraph.h

# define the compilation flags
# 
ISIP_CFLAGS = 

# define the diagnose class (we put diagnose method outside the header
# file in DecisionTreeBaseDiagnose.h)
#
DIAG_CLASS = DecisionTreeBaseDiagnose
DIAG_HEADER = $(ISIP_DEVEL)/class/pr/DecisionTreeBase/DecisionTreeBaseDiagnose.h

# define the diagnose mode for generic template classes
#
ISIP_DIAGNOSE_MODE = template-diagnose

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file
